# Visualization
TKV3d
V3d

# V3d Class Reference

This package contains the set of commands and services
of the 3D Viewer. It provides a set of high level commands
to control the views and viewing modes. This package is
complementary to the Visual3D graphic package.
Warning
The CSF_WALKTHROUGH variable enables you to
manage the perspective of the view in the viewer by
defining setenv CSF_WALKTHROUGH "Yes".
If you use the syntax unsetenv
CSF_WALKTHROUGH, you undefine the variable
(you make sure that the variable is deactivated). In
this case, the eye is located outside the 3D bounding
box of the view. This is the default behavior for
managing the view perspective.
.

`#include <V3d.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Graphic3d_Vector | GetProjAxis (const V3d_TypeOfOrientation Orientation)
| Determines the orientation vector corresponding to the predefined orientation type. .
static Standard_EXPORT void | ArrowOfRadius (const Handle(Graphic3d_Group)&garrow, const V3d_Coordinate X0, const V3d_Coordinate Y0, const V3d_Coordinate Z0, const V3d_Parameter DX, const V3d_Parameter DY, const V3d_Parameter DZ, const Quantity_PlaneAngle Alpha, const V3d_Parameter Lng)
| Compute the graphic structure of arrow. X0,Y0,Z0 : coordinate of the arrow. DX,DY,DZ : Direction of the arrow. Alpha : Angle of arrow. Lng : Length of arrow. .
static Standard_EXPORT void | CircleInPlane (const Handle(Graphic3d_Group)&gcircle, const V3d_Coordinate X0, const V3d_Coordinate Y0, const V3d_Coordinate Z0, const V3d_Parameter VX, const V3d_Parameter VY, const V3d_Parameter VZ, const V3d_Parameter Radius)
| Compute the graphic structure of circle. X0,Y0,Z0 : Center of circle. VX,VY,VZ : Axis of circle. Radius : Radius of circle. .
static Standard_EXPORT void | SwitchViewsinWindow (const Handle(V3d_View)&aPreviousView, const Handle(V3d_View)&aNextView)
static Standard_EXPORT void | DrawSphere (const Handle(V3d_Viewer)&aViewer, const Quantity_Length aRadius=1000)
| test.
static Standard_EXPORT void | PickGrid (const Handle(V3d_Viewer)&aViewer, const Quantity_Length aRadius=1000)
| test.
static Standard_EXPORT void | SetPlane (const Handle(V3d_Viewer)&aViewer, const Quantity_Length x1, const Quantity_Length y1, const Quantity_Length z1, const Quantity_Length x2, const Quantity_Length y2, const Quantity_Length z2)
| test.

## Member Function Documentation

static Standard_EXPORT void V3d::ArrowOfRadius | ( | const Handle(Graphic3d_Group)& | garrow,
|  | const V3d_Coordinate | X0,
|  | const V3d_Coordinate | Y0,
|  | const V3d_Coordinate | Z0,
|  | const V3d_Parameter | DX,
|  | const V3d_Parameter | DY,
|  | const V3d_Parameter | DZ,
|  | const Quantity_PlaneAngle | Alpha,
|  | const V3d_Parameter | Lng
| ) | `[static]`

static Standard_EXPORT void V3d::CircleInPlane | ( | const Handle(Graphic3d_Group)& | gcircle,
|  | const V3d_Coordinate | X0,
|  | const V3d_Coordinate | Y0,
|  | const V3d_Coordinate | Z0,
|  | const V3d_Parameter | VX,
|  | const V3d_Parameter | VY,
|  | const V3d_Parameter | VZ,
|  | const V3d_Parameter | Radius
| ) | `[static]`

static Standard_EXPORT void V3d::DrawSphere | ( | const Handle(V3d_Viewer)& | aViewer,
|  | const Quantity_Length | aRadius = `1000`
| ) | `[static]`

static Standard_EXPORT Graphic3d_Vector V3d::GetProjAxis | ( | const V3d_TypeOfOrientation | Orientation | ) | `[static]`

void V3d::operator delete | ( | void * | anAddress | ) | `[inline]`

void* V3d::operator new | ( | size_t | size | ) | `[inline]`

void* V3d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void V3d::PickGrid | ( | const Handle(V3d_Viewer)& | aViewer,
|  | const Quantity_Length | aRadius = `1000`
| ) | `[static]`

static Standard_EXPORT void V3d::SetPlane | ( | const Handle(V3d_Viewer)& | aViewer,
|  | const Quantity_Length | x1,
|  | const Quantity_Length | y1,
|  | const Quantity_Length | z1,
|  | const Quantity_Length | x2,
|  | const Quantity_Length | y2,
|  | const Quantity_Length | z2
| ) | `[static]`

static Standard_EXPORT void V3d::SwitchViewsinWindow | ( | const Handle(V3d_View)& | aPreviousView,
|  | const Handle(V3d_View)& | aNextView
| ) | `[static]`

The documentation for this class was generated from the following file:

- V3d.hxx